### Method

# EBackend Backend schedule_credentials_required

since: 3.16

#### Declaration [src]

    void
    e_backend_schedule_credentials_required (
      EBackend* backend,
      ESourceCredentialsReason reason,
      const gchar* certificate_pem,
      GTlsCertificateFlags certificate_errors,
      const GError* op_error,
      GCancellable* cancellable,
      const gchar* who_calls
    )

#### Description [src]

Asynchronously invokes e_backend_credentials_required(), but installs its own callback which only prints a runtime warning on the console when the call fails. The `who_calls` is a prefix of the console message. This is useful when the caller just wants to start the operation without having actual place where to show the operation result.

Available since: 3.16

#### Parameters

`reason`

  Type: `ESourceCredentialsReason`

  An `ESourceCredentialsReason`, why the credentials are required.

`certificate_pem`

  Type: `const gchar*`

  PEM-encoded secure connection certificate, or an empty string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`certificate_errors`

  Type: `GTlsCertificateFlags`

  A bit-or of `GTlsCertificateFlags` for secure connection certificate.

`op_error`

  Type: `GError`

  A `GError` with a description of the previous credentials error, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`who_calls`

  Type: `const gchar*`

  An identification who calls this.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.